Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.writer
Interface Kw3Constants

All Known Implementing Classes:
  Kw3WriterProcessor

    public interface Kw3Constants

Field Summary
`static java.lang.String` | `ARCHIVE_TIME_KEY`
`static java.lang.String` | `COLLECTION_KEY`
`static java.lang.String` | `CONTENT_LENGTH_KEY`
`static java.lang.String` | `CONTENT_MD5_KEY`
`static java.lang.String` | `CONTENT_TYPE_KEY`
`static java.lang.String` | `HARVESTER_KEY`
`static java.lang.String` | `HEADER_LENGTH_KEY`
`static java.lang.String` | `HEADER_MD5_KEY`
`static java.lang.String` | `IP_ADDRESS_KEY`
`static java.lang.String` | `STATUS_CODE_KEY`
`static java.lang.String` | `URL_KEY`

Field Detail

### COLLECTION_KEY

    static final java.lang.String COLLECTION_KEY

See Also:
  Constant Field Values

### HARVESTER_KEY

    static final java.lang.String HARVESTER_KEY

See Also:
  Constant Field Values

### URL_KEY

    static final java.lang.String URL_KEY

See Also:
  Constant Field Values

### IP_ADDRESS_KEY

    static final java.lang.String IP_ADDRESS_KEY

See Also:
  Constant Field Values

### HEADER_LENGTH_KEY

    static final java.lang.String HEADER_LENGTH_KEY

See Also:
  Constant Field Values

### HEADER_MD5_KEY

    static final java.lang.String HEADER_MD5_KEY

See Also:
  Constant Field Values

### CONTENT_LENGTH_KEY

    static final java.lang.String CONTENT_LENGTH_KEY

See Also:
  Constant Field Values

### CONTENT_MD5_KEY

    static final java.lang.String CONTENT_MD5_KEY

See Also:
  Constant Field Values

### ARCHIVE_TIME_KEY

    static final java.lang.String ARCHIVE_TIME_KEY

See Also:
  Constant Field Values

### STATUS_CODE_KEY

    static final java.lang.String STATUS_CODE_KEY

See Also:
  Constant Field Values

### CONTENT_TYPE_KEY

    static final java.lang.String CONTENT_TYPE_KEY

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.